> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 単一のトランザクションの取得

> 指定したキーを使用して、単一の transactions オブジェクトを返します。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json GET /transactions('{Id}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /transactions('{Id}'):
    get:
      tags:
        - transactions
      summary: 単一のトランザクションの取得
      description: 指定したキーを使用して、単一の transactions オブジェクトを返します。
      operationId: gettransactions
      parameters:
        - name: Id
          in: path
          description: キー Id
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: 構造プロパティを選択します
      responses:
        '200':
          description: transactions レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/transactions'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    transactions:
      type: object
      properties:
        Id:
          description: ログのid。
          type: string
        ConnectorId:
          description: コネクタのid。
          type: string
        PortId:
          description: ポートのid。
          type: string
        WorkspaceId:
          description: ワークスペースのid。
          type: string
        Workspace:
          description: ワークスペースのid。
          type: string
        MessageId:
          description: メッセージのId。
          type: string
        Direction:
          description: ファイルトランザクションの方向。
          type: string
        Status:
          description: トランザクションのステータス。
          type: string
        Filename:
          description: 転送されるファイルの名前。
          type: string
        FilePath:
          description: 送信または受信されたファイルへのフルパス。
          type: string
        FileSize:
          description: ファイルのサイズ。
          type: integer
          format: int32
        Timestamp:
          description: ファイルが送信または受信された時刻。
          type: string
          format: date-time
        ETag:
          description: 転送されるファイルのETag。これはAS2 Restartを使用している場合のみ利用可能です。
          type: string
        InstanceId:
          description: HA環境においてログを書き込むホストです。
          type: string
        BatchGroupId:
          description: バッチグループメッセージの Id。
          type: string
        IsBatchGroup:
          description: メッセージがバッチグループメッセージかどうか。
          type: boolean
        ProcessingTime:
          description: トランザクションの処理に要した合計時間（ミリ秒（ms）単位）。
          type: integer
          format: int64
        ConnectorType:
          description: 現在のコネクタのConnectorType。
          type: string
      required:
        - Id
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````